﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Abt.Controls.SciChart;

namespace AnnotationLabelPopup
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void MainWindow_OnLoaded(object sender, RoutedEventArgs e)
        {
            FillChart();
        }

        private void FillChart()
        {
            Random random = new Random();

            var dataset = new DataSeriesSet<double, double>();
            var series = dataset.AddSeries<XyDataSeries<double, double>>();

            for (int i = 0; i < 100; i++)
            {
                series.Append(i * 100, random.Next(i));
            }

            sciChart.DataSet = dataset;
        }
    }
}
